## gedit-menu-extension

gedit-menu-extension

## Functions

GeditMenuExtension * | gedit_menu_extension_new ()
void | gedit_menu_extension_append_menu_item ()
void | gedit_menu_extension_prepend_menu_item ()
void | gedit_menu_extension_remove_items ()

## Properties

GMenu * | menu | Read / Write / Construct Only

## Types and Values

struct | GeditMenuExtension

## Object Hierarchy

        GObject
        ╰── GeditMenuExtension

## Description

## Functions

### gedit_menu_extension_new ()

    GeditMenuExtension *
    gedit_menu_extension_new (GMenu *menu);

### gedit_menu_extension_append_menu_item ()

    void
    gedit_menu_extension_append_menu_item (GeditMenuExtension *menu,
                                           GMenuItem *item);

### gedit_menu_extension_prepend_menu_item ()

    void
    gedit_menu_extension_prepend_menu_item
                                   (GeditMenuExtension *menu,
                                    GMenuItem *item);

### gedit_menu_extension_remove_items ()

    void
    gedit_menu_extension_remove_items (GeditMenuExtension *menu);

## Types and Values

### struct GeditMenuExtension

    struct GeditMenuExtension;

## Property Details

### The `“menu”` property

      “menu”                     GMenu *

The main menu.

Flags: Read / Write / Construct Only